Package org.eclipse.emf.compare.command

# Enum Class CommandStackEvent.Operation

java.lang.Object
java.lang.Enum<CommandStackEvent.Operation>
org.eclipse.emf.compare.command.CommandStackEvent.Operation

All Implemented Interfaces:
  `Serializable`, `Comparable<CommandStackEvent.Operation>`, `java.lang.constant.Constable`

Enclosing class:
  CommandStackEvent

public static enum CommandStackEvent.Operation extends Enum<CommandStackEvent.Operation>
An event type.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EXECUTE`
The value indicating that `CommandStack.execute(Command)` was called.
`FLUSH`
The value indicating that `CommandStackt#flush` was called.
`REDO`
The value indicating that `CommandStack.redo()` was called.
`UNDO`
the value indicating that `CommandStack.undo()` was called.

## Method Summary

Modifier and Type
Method
Description
`static CommandStackEvent.Operation`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CommandStackEvent.Operation[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### EXECUTE

public static final CommandStackEvent.Operation EXECUTE
The value indicating that `CommandStack.execute(Command)` was called.

### UNDO

public static final CommandStackEvent.Operation UNDO
the value indicating that `CommandStack.undo()` was called.

### REDO

public static final CommandStackEvent.Operation REDO
The value indicating that `CommandStack.redo()` was called.

### FLUSH

public static final CommandStackEvent.Operation FLUSH
The value indicating that `CommandStackt#flush` was called.

## Method Details

### values

public static CommandStackEvent.Operation[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CommandStackEvent.Operation valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null